org.apache.ignite.internal.processors.cache

## Interface GridCacheSharedManager<K,V>

All Known Subinterfaces:
  IgnitePageStoreManager, IgniteWriteAheadLogManager

All Known Implementing Classes:
  CacheAffinitySharedManager, CacheDiagnosticManager, CacheJtaManagerAdapter, CacheNoopJtaManager, DeadlockDetectionManager, FilePageStoreManager, FileWriteAheadLogManager, GridCacheDatabaseSharedManager, GridCacheDeploymentManager, GridCacheIoManager, GridCacheMvccManager, GridCachePartitionExchangeManager, GridCacheSharedManagerAdapter, GridCacheSharedTtlCleanupManager, GridCacheVersionManager, IgniteCacheDatabaseSharedManager, IgniteCacheSnapshotManager, IgniteSnapshotManager, IgniteTxManager, MvccCachingManager, PartitionsEvictManager, WalStateManager

    public interface GridCacheSharedManager<K,V>

Cache manager shared across all caches.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onDisconnected(IgniteFuture<?> reconnectFut)`
`void` `onKernalStart(boolean active)` Callback that notifies that kernal has successfully started, including all managers and processors.
`void` `onKernalStop(boolean cancel)`
`void` `onReconnected(boolean active)`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `start(GridCacheSharedContext<K,V> cctx)` Starts manager.
`void` `stop(boolean cancel)` Stops manager.

### Method Detail

#### start

    void start(GridCacheSharedContext<K,V> cctx)
        throws IgniteCheckedException

Starts manager.

Parameters:
  `cctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStart

    void onKernalStart(boolean active)

Callback that notifies that kernal has successfully started, including all managers and processors.

Parameters:
  `active` - Cluster active flag.

#### stop

    void stop(boolean cancel)

Stops manager.

Parameters:
  `cancel` - Cancel flag.

#### onKernalStop

    void onKernalStop(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### onDisconnected

    void onDisconnected(IgniteFuture<?> reconnectFut)

Parameters:
  `reconnectFut` - Reconnect future.

#### onReconnected

    void onReconnected(boolean active)

Parameters:
  `active` - Active flag.

#### printMemoryStats

    void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021